## org.eclipse.emf.common.util
Interface Enumerator

All Known Subinterfaces:
  EEnumLiteral

All Known Implementing Classes:
  AbstractEnumerator, ChangeKind, EEnumLiteralImpl, GenDelegationKind, GenJDKLevel, GenPropertyKind, GenProviderKind, GenResourceKind, GenRuntimeVersion, SpaceType

    public interface Enumerator

An interface implemented by the enumerators of a type-safe enum.

Method Summary
`java.lang.String` `getLiteral()` Returns the literal value of the enumerator.
`java.lang.String` `getName()` Returns the name of the enumerator.
`int` `getValue()` Returns the `int`value of the enumerator.

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the enumerator.

  Returns:
    the name.

### getValue

    int getValue()

  Returns the `int`value of the enumerator.

  Returns:
    the value.

### getLiteral

    java.lang.String getLiteral()

  Returns the literal value of the enumerator.

  Returns:
    the literal.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.